Public Class weathertile

    Private player24 As New MediaPlayer()

    Private Sub UserControl_Loaded(sender As Object, e As RoutedEventArgs)
        Try
            My.Settings.Reload()
        Catch

            My.Settings.mecolor = "#19A2DE"

            Dim bluecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            wt.Background = New System.Windows.Media.SolidColorBrush(bluecolor)
        End Try

        Dim weahtertileeaTimer = New System.Windows.Threading.DispatcherTimer()
        AddHandler weahtertileeaTimer.Tick, AddressOf weahtertileeaTimer_Tick
        weahtertileeaTimer.Interval = New TimeSpan(0, 0, 1)
        weahtertileeaTimer.Start()
    End Sub

    Private Sub weahtertileeaTimer_Tick(sender As Object, e As EventArgs)
        Try
            Dim mytilecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            wt.Background = New System.Windows.Media.SolidColorBrush(mytilecolor)
        Catch
        End Try

    End Sub

    Private Sub UserControl_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        PlayAccentSound()
        Process.Start("https://www.bing.com/search?pglt=675&q=what%27s%20the%20weather%20like%20today?")
    End Sub
    Private Sub PlayAccentSound()
        Try
            player24.Volume = 1.0
            player24.Open(New Uri("beltonen/wp7_pressed.mp3", UriKind.Relative))
            player24.Play()
        Catch ex As Exception
            MessageBox.Show("Error playing sound: " & ex.Message)
        End Try
    End Sub
End Class
